package rs.core.example.ui;

import rs.core.example.R;
import rs.core.hw.DeviceData;
import rs.core.hw.NfcTag;
import android.os.Bundle;
import android.os.RemoteException;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class NfcReceiver extends DataReceiver {
	private NfcTag TAG;
	
	private String wMap = "<?xml version=\"1.0\"?><tag><sector id=\"1\"><block id=\"1\">0x10,0x22,0x22,0x22</block></sector></tag>";
	
	public static NfcReceiver newInstance() {
		NfcReceiver result = new NfcReceiver();
		result.device = "NFC";
		return result;
	}
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		return inflater.inflate(R.layout.nfc, container,false);
	}
	@Override
	public void onViewCreated(View view, Bundle savedInstanceState) {
		super.onViewCreated(view, savedInstanceState);
		view.findViewById(R.id.lbl_nfc_write).setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View paramView) {
				try {
					core.callExtension("IO:writeNfc", "[\""+wMap.replace("\"", "\\\"")+"\"]");
				} catch(RemoteException re) { }
				
			}
		});
	}
	@Override
	protected void onReceivedData(DeviceData data) {
		TAG = (NfcTag)data;
		dataText.setText(TAG.DATA.split(";")[1]);
		
	}
}
